cURL
curl --request POST \ --url https://api.apitwitter.com/twitter/bookmarks \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "cookie": "<string>", "proxy": "<string>", "count": 20, "cursor": "<string>" } '
{ "data": { "tweets": [ { "id": "1879298220892504449", "text": "Example bookmarked tweet", "created_at": "Mon Jan 15 12:00:00 +0000 2025", "author": { "id": "44196397", "userName": "elonmusk", "name": "Elon Musk", "screen_name": "elonmusk" }, "likeCount": 5000, "retweetCount": 1000, "replyCount": 200, "viewCount": 500000, "isRetweet": false, "isReply": false } ], "has_next_page": true, "next_cursor": "DAACCgABHC..." } }
GET your Twitter/X bookmarked tweets via ApiTwitter API. Paginated list of saved tweets. Requires cookies and proxy.
Your API key
Twitter auth cookie
Proxy URL to use for the request (HTTP or SOCKS5)
Number of results to return, 1-100 (default: 20)
1 <= x <= 100
Pagination cursor for the next page
List of bookmarked tweets
Response status
"success"
Response message
Response data